# $Revision: 1.4 $, $Date: 2009/12/29 22:51:42 $
Summary:	Firewall SysV-init style start-up script
Summary(pl.UTF-8):	Skrypt startowy firewalla
Name:		firewall-init
Version:	2.99.9
Release:	1
License:	GPL
Group:		Networking/Admin
Source0:	ftp://ftp.pld-linux.org/software/firewall-init/%{name}-%{version}.tar.bz2
# Source0-md5:	b3bd68e812a2b30b0963c8ce9968af5e
BuildRequires:	rpmbuild(macros) >= 1.194
Requires(post,preun):	/sbin/chkconfig
Requires:	iptables >= 1.2.2-2
Requires:	rc-scripts
Obsoletes:	iptables-init
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Firewall-init is meant to provide an easy to use interface for
starting and stopping the kernel IP packet filter through iptables(8).

%description -l pl.UTF-8
Dzięki firewall-init uzyskuje się łatwy interfejs do startowania i
stopowania filtrów IP jądra poprzez iptables(8).

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- %{name} < 2.5
%banner -e %{name} <<'EOF'
You need to manually convert your rules to iptables or install
firewall-init-ipchains
EOF

%post
/sbin/chkconfig --add firewall
/sbin/chkconfig --add firewall-pre

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del firewall
	/sbin/chkconfig --del firewall-pre
fi

%files
%defattr(644,root,root,755)
%doc README
%defattr(640,root,root,750)
%verify(not md5 mtime size) %config(noreplace) /etc/sysconfig/firewall
%verify(not md5 mtime size) %config(noreplace) /etc/sysconfig/firewall.d/ip*
%verify(not md5 mtime size) %config(noreplace) /etc/sysconfig/firewall.d/functions.rules
/etc/sysconfig/firewall.d/functions
%attr(754,root,root) /etc/rc.d/init.d/firewall*
%dir /etc/sysconfig/firewall.d

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: firewall-init.spec,v $
Revision 1.4  2009/12/29 22:51:42  baggins
- removed bogus changelog

Revision 1.3  2009/12/29 22:48:53  baggins
- merged all changes from packages repo
